2017-11-18 12:14 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003725Kali Linux[All Projects] Kali Package Bugpublic2016-11-18 08:15
Reporterbusterbcook 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003725: Metasploit launcher icon starts database and msfconsole in parallel rather than sequentially
DescriptionThe Metasploit .desktop launcher has a typo where it accidentally starts msfdb in parallel with msfconsole, leading to a parallel database migration that randomly throws errors depending on the timing of the two commands
Steps To ReproduceFrom a a clean install, or after having run 'msfdb delete', click the default Metasploit desktop launcher icon. The database should start being created, then framework will start and a random set of backtraces will appear.
Additional InformationThis is a bug in the kali-msfconsole.desktop launcher.

It has:

Exec=sh -c "service postgresql start && msfdb init & msfconsole;${SHELL:-bash}"

This should be written instead as:

Exec=sh -c "service postgresql start && msfdb init && msfconsole;${SHELL:-bash}"
Attached Files

-Relationships
+Relationships

-Notes

~0006122

sbrun (manager)

Last edited: 2016-11-18 08:15

View 2 revisions

fixed in kali-menu version 2016.3.3

+Notes

-Issue History
Date Modified Username Field Change
2016-11-15 20:13 busterbcook New Issue
2016-11-16 10:51 rhertzog Assigned To => sbrun
2016-11-16 10:51 rhertzog Status new => assigned
2016-11-18 08:13 sbrun Status assigned => resolved
2016-11-18 08:13 sbrun Resolution open => fixed
2016-11-18 08:13 sbrun Fixed in Version => 2017.1
2016-11-18 08:13 sbrun Note Added: 0006122
2016-11-18 08:15 rhertzog Note Edited: 0006122 View Revisions
+Issue History